<?php

// API routes  for project_manager.

// Guard routes for project
Route::prefix('{guard}/project_manager')->group(function () {
    Route::resource('project', 'ProjectResourceController');
});



// Public routes for project_manager
Route::get('project_managers/', 'ProjectManagerPublicController@index');
Route::get('project_manager/{slug?}', 'ProjectManagerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for project
            Route::prefix('{guard}/project_manager')->group(function () {
                Route::resource('project', 'ProjectResourceController');
            });
            
            

            // Public routes for project_manager
            Route::get('project_managers/', 'ProjectManagerPublicController@index');
            Route::get('project_manager/{slug?}', 'ProjectManagerPublicController@show');
        }
    );
}